it-swarm.com.de

Wie installiere ich die neuesten Versionen von Mono, Moonlight und Monodevelop anstelle der Version im Ubuntu-Repository?

Ich würde gerne

  • habe den neuesten Stable (2.8) Mono Stack (Mono, Moonlight mit Firefox Plugin, Monodevelop, Monodoc, etc) auf Ubuntu 10.10
  • habe keine Überreste des alten Mono 2.6, das in Ubuntu Repos verfügbar ist,
  • alle mono-abhängigen Pakete zufrieden stellen (Ich fürchte, sie werden sich beschweren, wenn ich Mono 2.6 nicht von Paketen installiere und stattdessen manuell heruntergeladenes Mono 2.8 installiere)

Wie erreiche ich das?

10
Ivan

Dies ist eine etwas vage Antwort, ich weiß, aber ich hoffe, es hilft:

Die einzigen Abhängigkeiten, die auf der letzten Seite aufgeführt sind, sind für Version 2.8 NICHT erforderlich, daher sollten Sie (hoffentlich) fast alles haben, was Sie bereits benötigen. Aber Sie kennen sich wahrscheinlich besser aus als ich. Hoffentlich erhalten Sie in den Anweisungen alle Informationen, die Sie benötigen. Wenn Sie aus dem Quellcode erstellen, sollten Sie keine Probleme mit den Ubuntu-Repo-Versionen haben (es sei denn, Sie haben sie bereits vollständig deinstalliert).

Viel Glück!

2
jrc03c

Sie können auch http://www.badgerports.org verwenden. Die Badgerports bieten aktualisierte Mono-bezogene Pakete für Ubuntu.

0
Dan